Index: trunk/client/inc/javascript.php
===================================================================
--- trunk/client/inc/javascript.php	(revision 411)
+++ trunk/client/inc/javascript.php	(revision 412)
@@ -143,5 +143,6 @@
    </script>
 ';
+}
+echo '<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>';
 
-}
 ?>
Index: trunk/client/modules/Elezioni/blocchi/gom_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 411)
+++ trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 412)
@@ -86,13 +86,27 @@
 			$resto=100-$perc;
 			if ($genere==0){echo "<div style=\"text-align:center;margin-left: 10px;\"><hr/>referendum n. $num_gruppo</div>";}
-			echo "<div style=\"text-align:center\">sezioni n. $numero su $sezioni</div>";
-			echo "<div style=\"text-align:center; margin-left: 10px;\"><img src=\"http://chart.apis.google.com/chart?
-			chs=200x110
-			&chd=t:$perc
-			&cht=gom
-			&chl=$perc%
-			&chco=ff0000,ffff00 \"
-			alt=\"Sample chart\" />
-			 <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a>
+			echo "<div>sezioni n. $numero su $sezioni</div>";
+			echo "<div style=\"text-align:center;\">";
+			##########################<script type=\"text/javascript\" src=\"https://www.gstatic.com/charts/loader.js\"></script>
+			echo  "
+			<script type=\"text/javascript\">
+			google.charts.load('current', {'packages':['gauge']});
+			google.charts.setOnLoadCallback(drawGauge);
+
+			var gaugeOptions = {min: 0, max: 100, yellowFrom: 100, yellowTo: 100,
+			  redFrom: 100, redTo: 100, minorTicks: 5};
+			var gauge;
+
+			function drawGauge() {
+			  gaugeData = new google.visualization.DataTable();
+			  gaugeData.addColumn('number', 'Votanti');
+			  gaugeData.addRows(1);
+			  gaugeData.setCell(0, 0, $perc);
+		 
+			  gauge = new google.visualization.Gauge(document.getElementById('gauge_div'));
+			  gauge.draw(gaugeData, gaugeOptions);
+			}
+			</script>";
+			echo "<div id=\"gauge_div\" style=\"width:130px; height: 130px; ;margin-left: 30px\"></div> <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a> 
 			</div>";
 
Index: trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 411)
+++ trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 412)
@@ -83,17 +83,36 @@
 				$resto=100-$perc;
 				if ($genere==0){echo "<div style=\"text-align:center\">referendum n. $num_gruppo</div";}
+				echo '<center>
+				<div id="piechart" style="width:100%; min-height:200px;"></div><br/>
+				<a href="modules.php?id_cons_gen='.$id_cons_gen.'&name=Elezioni&id_comune='.$id_comune.'&file=index&op=affluenze_graf">Tutte le affluenze</a>
+				</center>
+				<script>google.charts.load("current", {"packages":["corechart"]});
+				google.charts.setOnLoadCallback(drawChart);
+		  
+				function drawChart() {		  
+				  var data = google.visualization.arrayToDataTable([
+					["Task", "Affluenze"],
+					["",  '.$resto.'],
+					["'.$perc.'%", '.$perc.']
+				  ]);
+				  var options = {
+					title: "",
+					is3D:true,
+					 legend: "none",
+					 pieSliceText: "label",
+					 pieSliceTextStyle: {
+						color: "#000",
+						bold:true,
+						fontSize:12
+					  },
+					 slices: {
+						0: { color: "#ff0000", textStyle:{color:"#fff"}},
+						1: { color: "#ffff00" }
+					  }
+				  };
+				  var chart = new google.visualization.PieChart(document.getElementById("piechart"));
 
-				echo "<center><img src=\"http://chart.apis.google.com/chart?
-				chs=200x70
-				&chd=t:$resto,$perc
-				&cht=p3
-				&chl=|$perc%
-				&chco=ff0000,ffff00 \"
-				alt=\"Sample chart\" />
-				<br/> <a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a>
-				</center>";
-
-
-
+				  chart.draw(data, options);
+				}</script>';
 			}	
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 411)
+++ trunk/client/versione.php	(revision 412)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 411";
+$versione = "3.0 rev 412";
 $version_number = $versione;
-$datarel = "06 aprile 2024";
+$datarel = "02 maggio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
